summaryrefslogtreecommitdiff
path: root/gcc
diff options
context:
space:
mode:
authorChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
committerChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
commitf96441b9faf769c9ecdd4d338b605ea3d0cc4010 (patch)
treeedb17ec2c4ea13c5acb1c7350957a249a820e28d /gcc
parentb6588aa6851fb220cedc387d21c51513ef8d67f4 (diff)
Disable bk EOLN_NATIVE conversions on all files in packages FILESPATHs, to prevent it screwing up patches.
BKrev: 4190111fA4MuVozAqwE7xOSL9fr-TA
Diffstat (limited to 'gcc')
-rw-r--r--gcc/gcc-3.3.3/arm-10730.dpatch51
-rw-r--r--gcc/gcc-3.3.3/arm-12527.dpatch84
-rw-r--r--gcc/gcc-3.3.3/arm-14302.patch24
-rw-r--r--gcc/gcc-3.3.3/arm-14558.dpatch51
-rw-r--r--gcc/gcc-3.3.3/arm-common.dpatch50
-rw-r--r--gcc/gcc-3.3.3/arm-gotoff.dpatch135
-rw-r--r--gcc/gcc-3.3.3/arm-ldm-peephole.patch91
-rw-r--r--gcc/gcc-3.3.3/arm-ldm.dpatch148
-rw-r--r--gcc/gcc-3.3.3/arm-tune.patch9
-rw-r--r--gcc/gcc-3.3.3/arm-xscale.patch174
-rw-r--r--gcc/gcc-3.3.3/config.sub.patch72
-rw-r--r--gcc/gcc-3.3.3/empty6.patch21
-rw-r--r--gcc/gcc-3.3.3/gcc-uclibc-3.3-100-conf.patch1593
-rw-r--r--gcc/gcc-3.3.3/gcc-uclibc-3.3-110-conf.patch55
-rw-r--r--gcc/gcc-3.3.3/gcc-uclibc-3.3-120-softfloat.patch14
-rw-r--r--gcc/gcc-3.3.3/gcc-uclibc-3.3-200-code.patch3021
-rw-r--r--gcc/gcc-3.3.3/gcc34-15089.patch19
-rw-r--r--gcc/gcc-3.3.3/libibery-crosstool.patch683
-rw-r--r--gcc/gcc-3.3.3/pr10392-1-test.patch65
-rw-r--r--gcc/gcc-3.3.3/pr10412-1-test.patch46
-rw-r--r--gcc/gcc-3.3.3/pr10589-1-test.patch17
-rw-r--r--gcc/gcc-3.3.3/pr11162-1-test.patch25
-rw-r--r--gcc/gcc-3.3.3/pr11587-1-test.patch39
-rw-r--r--gcc/gcc-3.3.3/pr11608.patch26
-rw-r--r--gcc/gcc-3.3.3/pr11736-1-test.patch48
-rw-r--r--gcc/gcc-3.3.3/pr11864-1-test.patch45
-rw-r--r--gcc/gcc-3.3.3/pr12009.patch85
-rw-r--r--gcc/gcc-3.3.3/pr12010.patch81
-rw-r--r--gcc/gcc-3.3.3/pr13260-test.patch56
-rw-r--r--gcc/gcc-3.3.3/pr9365-1-test.patch43
-rw-r--r--gcc/gcc-3.3.3/reverse-compare.patch31
-rw-r--r--gcc/gcc-3.3.3/sh-lib1funcs_sizeAndType.patch610
-rw-r--r--gcc/gcc-3.3.3/sh-pic-set_fpscr-gcc-3.3.2.patch67
-rw-r--r--gcc/gcc-3.3.3/thunk3.patch23
-rw-r--r--gcc/gcc-3.3.4/arm-gotoff.dpatch135
-rw-r--r--gcc/gcc-3.3.4/arm-ldm-peephole.patch91
-rw-r--r--gcc/gcc-3.3.4/arm-ldm.dpatch148
-rw-r--r--gcc/gcc-3.3.4/arm-tune.patch9
-rw-r--r--gcc/gcc-3.3.4/gcc-uclibc-3.3-100-conf.patch1593
-rw-r--r--gcc/gcc-3.3.4/gcc-uclibc-3.3-110-conf.patch55
-rw-r--r--gcc/gcc-3.3.4/gcc-uclibc-3.3-120-softfloat.patch14
-rw-r--r--gcc/gcc-3.3.4/gcc-uclibc-3.3-200-code.patch3021
-rw-r--r--gcc/gcc-3.3.4/gcc34-15089.patch19
-rw-r--r--gcc/gcc-3.3.4/libibery-crosstool.patch683
-rw-r--r--gcc/gcc-3.3.4/reverse-compare.patch31
-rw-r--r--gcc/gcc-3.3.4/sdk-libstdc++-includes.patch48
-rw-r--r--gcc/gcc-3.4.0/gcc-3.4.0-arm-bigendian-uclibc.patch30
-rw-r--r--gcc/gcc-3.4.0/gcc-3.4.0-arm-bigendian.patch70
-rw-r--r--gcc/gcc-3.4.0/gcc-3.4.0-arm-lib1asm.patch24
-rw-r--r--gcc/gcc-3.4.0/gcc-3.4.0-arm-nolibfloat.patch24
-rw-r--r--gcc/gcc-3.4.0/gcc-uclibc-3.4.0-120-softfloat.patch14
-rw-r--r--gcc/gcc-3.4.0/gcc-uclibc-3.4.0-200-code.patch3078
-rw-r--r--gcc/gcc-3.4.0/gcc34-15089.patch19
-rw-r--r--gcc/gcc-3.4.0/gcc34-15666.patch23
-rw-r--r--gcc/gcc-3.4.0/gcc34-arm-ldm-peephole.patch79
-rw-r--r--gcc/gcc-3.4.0/gcc34-arm-ldm.patch119
-rw-r--r--gcc/gcc-3.4.0/gcc34-arm-tune.patch9
-rw-r--r--gcc/gcc-3.4.0/gcc34-pre-modify.patch11
-rw-r--r--gcc/gcc-3.4.0/gcc34-reverse-compare.patch32
-rw-r--r--gcc/gcc-3.4.1/gcc-3.4.0-arm-bigendian-uclibc.patch30
-rw-r--r--gcc/gcc-3.4.1/gcc-3.4.0-arm-bigendian.patch70
-rw-r--r--gcc/gcc-3.4.1/gcc-3.4.0-arm-lib1asm.patch24
-rw-r--r--gcc/gcc-3.4.1/gcc-3.4.0-arm-nolibfloat.patch24
-rw-r--r--gcc/gcc-3.4.1/gcc-uclibc-3.4.0-120-softfloat.patch14
-rw-r--r--gcc/gcc-3.4.1/gcc34-arm-ldm-peephole.patch79
-rw-r--r--gcc/gcc-3.4.1/gcc34-arm-ldm.patch119
-rw-r--r--gcc/gcc-3.4.1/gcc34-arm-tune.patch9
-rw-r--r--gcc/gcc-3.4.1/gcc34-reverse-compare.patch32
-rw-r--r--gcc/gcc-3.4.1/sdk-libstdc++-includes.patch22
-rw-r--r--gcc/gcc-3.4.2/gcc-3.4.0-arm-bigendian-uclibc.patch30
-rw-r--r--gcc/gcc-3.4.2/gcc-3.4.0-arm-bigendian.patch70
-rw-r--r--gcc/gcc-3.4.2/gcc-3.4.0-arm-lib1asm.patch24
-rw-r--r--gcc/gcc-3.4.2/gcc-3.4.0-arm-nolibfloat.patch24
-rw-r--r--gcc/gcc-3.4.2/gcc-3.4.0-arm-softfloat.patch256
-rw-r--r--gcc/gcc-3.4.2/gcc-3.4.1-uclibc-100-conf.patch410
-rw-r--r--gcc/gcc-3.4.2/gcc-3.4.1-uclibc-200-locale.patch3216
-rw-r--r--gcc/gcc-3.4.2/gcc-uclibc-3.4.0-120-softfloat.patch14
-rw-r--r--gcc/gcc-3.4.2/gcc34-arm-ldm-peephole.patch79
-rw-r--r--gcc/gcc-3.4.2/gcc34-arm-ldm.patch119
-rw-r--r--gcc/gcc-3.4.2/gcc34-arm-tune.patch9
-rw-r--r--gcc/gcc-3.4.2/gcc34-reverse-compare.patch32
-rw-r--r--gcc/gcc-3.4.2/sdk-libstdc++-includes.patch22
82 files changed, 21709 insertions, 0 deletions
diff --git a/gcc/gcc-3.3.3/arm-10730.dpatch b/gcc/gcc-3.3.3/arm-10730.dpatch
index e69de29bb2..5938509cf9 100644
--- a/gcc/gcc-3.3.3/arm-10730.dpatch
+++ b/gcc/gcc-3.3.3/arm-10730.dpatch
@@ -0,0 +1,51 @@
+#! /bin/sh -e
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ #cd ${dir}gcc && autoconf
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ #rm ${dir}gcc/configure
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+# DP: 2003-05-15 Philip Blundell <philb@gnu.org>
+# DP:
+# DP: PR target/10730
+# DP: * config/arm/arm.c (adjacent_mem_locations): Reject offsets
+# DP: involving invalid constants.
+
+Index: arm.c
+===================================================================
+RCS file: /cvs/gcc/gcc/gcc/config/arm/arm.c,v
+retrieving revision 1.271
+diff -u -p -r1.271 arm.c
+--- gcc/config/arm/arm.c 10 May 2003 13:10:46 -0000 1.271
++++ gcc/config/arm/arm.c 14 May 2003 21:26:26 -0000
+@@ -4567,6 +4571,12 @@ adjacent_mem_locations (a, b)
+ else
+ reg1 = REGNO (XEXP (b, 0));
+
++ /* Don't accept any offset that will require multiple instructions to handle,
++ since this would cause the arith_adjacentmem pattern to output an overlong
++ sequence. */
++ if (!const_ok_for_op (PLUS, val0) || !const_ok_for_op (PLUS, val1))
++ return 0;
++
+ return (reg0 == reg1) && ((val1 - val0) == 4 || (val0 - val1) == 4);
+ }
+ return 0;
diff --git a/gcc/gcc-3.3.3/arm-12527.dpatch b/gcc/gcc-3.3.3/arm-12527.dpatch
index e69de29bb2..c626eb1589 100644
--- a/gcc/gcc-3.3.3/arm-12527.dpatch
+++ b/gcc/gcc-3.3.3/arm-12527.dpatch
@@ -0,0 +1,84 @@
+#! /bin/sh -e
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ #cd ${dir}gcc && autoconf
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ #rm ${dir}gcc/configure
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+# DP: 2004-01-14 Richard Earnshaw <rearnsha@arm.com>
+# DP:
+# DP: PR bootstrap/12527
+# DP: * config.gcc (arm*-*-linux*): Don't include unknown-elf.h in tm_file.
+# DP: Move linux-gas.h and linux-elf.h before aout.h.
+# DP: * arm/arm.h (INITIALIZE_TRAMPOLINE): Only define if not already.
+# DP: * arm/linux-elf.h (SUBTARGET_CPU_DEFAULT): Define.
+
+
+--- gcc/config.gcc.orig 2004-01-21 07:45:04.000000000 +0100
++++ gcc/config.gcc 2004-02-05 23:17:56.000000000 +0100
+@@ -698,7 +698,7 @@
+ use_collect2=yes
+ ;;
+ arm*-*-linux*) # ARM GNU/Linux with ELF
+- tm_file="dbxelf.h elfos.h arm/unknown-elf.h arm/elf.h arm/aout.h arm/arm.h arm/linux-gas.h arm/linux-elf.h"
++ tm_file="dbxelf.h elfos.h arm/elf.h arm/linux-gas.h arm/linux-elf.h arm/aout.h arm/arm.h"
+ tmake_file="t-slibgcc-elf-ver t-linux arm/t-linux"
+ extra_parts="crtbegin.o crtbeginS.o crtend.o crtendS.o"
+ gnu_ld=yes
+--- gcc/config/arm/arm.h.orig 2003-08-12 07:46:29.000000000 +0200
++++ gcc/config/arm/arm.h 2004-02-05 23:14:03.000000000 +0100
+@@ -1770,13 +1770,19 @@
+ /* Emit RTL insns to initialize the variable parts of a trampoline.
+ FNADDR is an RTX for the address of the function's pure code.
+ CXT is an RTX for the static chain value for the function. */
+-#define INITIALIZE_TRAMPOLINE(TRAMP, FNADDR, CXT) \
+-{ \
+- emit_move_insn \
+- (gen_rtx_MEM (SImode, plus_constant (TRAMP, TARGET_ARM ? 8 : 16)), CXT); \
+- emit_move_insn \
+- (gen_rtx_MEM (SImode, plus_constant (TRAMP, TARGET_ARM ? 12 : 20)), FNADDR); \
++#ifndef INITIALIZE_TRAMPOLINE
++#define INITIALIZE_TRAMPOLINE(TRAMP, FNADDR, CXT) \
++{ \
++ emit_move_insn (gen_rtx_MEM (SImode, \
++ plus_constant (TRAMP, \
++ TARGET_ARM ? 8 : 16)), \
++ CXT); \
++ emit_move_insn (gen_rtx_MEM (SImode, \
++ plus_constant (TRAMP, \
++ TARGET_ARM ? 12 : 20)), \
++ FNADDR); \
+ }
++#endif
+
+
+ /* Addressing modes, and classification of registers for them. */
+--- gcc/config/arm/linux-elf.h.orig 2003-09-21 22:38:15.000000000 +0200
++++ gcc/config/arm/linux-elf.h 2004-02-05 23:14:03.000000000 +0100
+@@ -34,6 +34,8 @@
+ #undef TARGET_DEFAULT
+ #define TARGET_DEFAULT (ARM_FLAG_APCS_32 | ARM_FLAG_MMU_TRAPS)
+
++#define SUBTARGET_CPU_DEFAULT TARGET_CPU_arm6
++
+ #define SUBTARGET_EXTRA_LINK_SPEC " -m armelf_linux -p"
+
+ #undef MULTILIB_DEFAULTS
diff --git a/gcc/gcc-3.3.3/arm-14302.patch b/gcc/gcc-3.3.3/arm-14302.patch
index e69de29bb2..6ac74fcc05 100644
--- a/gcc/gcc-3.3.3/arm-14302.patch
+++ b/gcc/gcc-3.3.3/arm-14302.patch
@@ -0,0 +1,24 @@
+2004-02-26 Richard Earnshaw <rearnsha@arm.com>
+ Daniel Jacobowitz <drow@mvista.com>
+
+ PR target/14302
+ * arm.h (ARM_GO_IF_LEGITIMATE_ADDRESS): Don't check the mode
+ size for minipool references.
+
+Index: arm.h
+===================================================================
+RCS file: /cvs/gcc/gcc/gcc/config/arm/arm.h,v
+retrieving revision 1.168.2.1
+retrieving revision 1.168.2.2
+diff -u -r1.168.2.1 -r1.168.2.2
+--- gcc/config/arm/arm.h 25 Feb 2004 11:50:24 -0000 1.168.2.1
++++ gcc/config/arm/arm.h 26 Feb 2004 14:10:01 -0000 1.168.2.2
+@@ -2029,7 +2029,7 @@
+ && GET_CODE (XEXP (X, 0)) == REG \
+ && ARM_REG_OK_FOR_BASE_P (XEXP (X, 0))) \
+ goto LABEL; \
+- else if (GET_MODE_SIZE (MODE) >= 4 && reload_completed \
++ else if (reload_completed \
+ && (GET_CODE (X) == LABEL_REF \
+ || (GET_CODE (X) == CONST \
+ && GET_CODE (XEXP ((X), 0)) == PLUS \
diff --git a/gcc/gcc-3.3.3/arm-14558.dpatch b/gcc/gcc-3.3.3/arm-14558.dpatch
index e69de29bb2..9d15eaecd8 100644
--- a/gcc/gcc-3.3.3/arm-14558.dpatch
+++ b/gcc/gcc-3.3.3/arm-14558.dpatch
@@ -0,0 +1,51 @@
+#! /bin/sh -e
+
+# DP: Patch for invalid QImode insn resulting from HImode reload on ARMv3
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ #cd ${dir}gcc && autoconf
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ #rm ${dir}gcc/configure
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+--- gcc/config/arm/arm.h.old Thu Feb 19 13:48:41 2004
++++ gcc/config/arm/arm.h Thu Feb 19 13:56:31 2004
+@@ -2003,10 +2003,17 @@
+ && INTVAL (op) <= 31) \
+ goto LABEL; \
+ } \
+- /* NASTY: Since this limits the addressing of unsigned \
+- byte loads. */ \
+- range = ((MODE) == HImode || (MODE) == QImode) \
+- ? (arm_arch4 ? 256 : 4095) : 4096; \
++ /* XXX For ARM v4 we may be doing a sign-extend operation \
++ during the load, but that has a restricted addressing \
++ range and we are unable to tell here whether that is the \
++ case. To be safe we restrict all loads to that \
++ range. */ \
++ if (arm_arch4) \
++ range = (mode == HImode || mode == QImode) ? 256 : 4096; \
++ else if (mode == HImode) \
++ range = 4095; \
++ else \
++ range = 4096; \
+ if (code == CONST_INT && INTVAL (INDEX) < range \
+ && INTVAL (INDEX) > -range) \
+ goto LABEL; \
diff --git a/gcc/gcc-3.3.3/arm-common.dpatch b/gcc/gcc-3.3.3/arm-common.dpatch
index e69de29bb2..232726788a 100644
--- a/gcc/gcc-3.3.3/arm-common.dpatch
+++ b/gcc/gcc-3.3.3/arm-common.dpatch
@@ -0,0 +1,50 @@
+#! /bin/sh -e
+
+src=gcc
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ src=$3/gcc
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 --fuzz 10 < $0
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 --fuzz 10 < $0
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+# DP: delete ASM_OUTPUT_ALIGNED_COMMON from arm/elf.h, since it outputs
+# DP: the alignment in bits not bytes.
+
+Index: gcc/config/arm/elf.h
+===================================================================
+RCS file: /cvs/gcc/gcc/gcc/config/arm/elf.h,v
+retrieving revision 1.39
+diff -u -r1.39 elf.h
+--- gcc/config/arm/elf.h 21 Nov 2002 21:29:24 -0000 1.39
++++ gcc/config/arm/elf.h 20 Sep 2003 14:22:46 -0000
+@@ -152,16 +152,6 @@
+ #undef TARGET_ASM_NAMED_SECTION
+ #define TARGET_ASM_NAMED_SECTION arm_elf_asm_named_section
+
+-#undef ASM_OUTPUT_ALIGNED_COMMON
+-#define ASM_OUTPUT_ALIGNED_COMMON(STREAM, NAME, SIZE, ALIGN) \
+- do \
+- { \
+- fprintf (STREAM, "\t.comm\t"); \
+- assemble_name (STREAM, NAME); \
+- fprintf (STREAM, ", %d, %d\n", SIZE, ALIGN); \
+- } \
+- while (0)
+-
+ /* For PIC code we need to explicitly specify (PLT) and (GOT) relocs. */
+ #define NEED_PLT_RELOC flag_pic
+ #define NEED_GOT_RELOC flag_pic
diff --git a/gcc/gcc-3.3.3/arm-gotoff.dpatch b/gcc/gcc-3.3.3/arm-gotoff.dpatch
index e69de29bb2..610f9430e0 100644
--- a/gcc/gcc-3.3.3/arm-gotoff.dpatch
+++ b/gcc/gcc-3.3.3/arm-gotoff.dpatch
@@ -0,0 +1,135 @@
+#! /bin/sh -e
+
+src=gcc
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ src=$3/gcc
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 --fuzz 10 < $0
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 --fuzz 10 < $0
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+# DP: use GOTOFF not GOT relocs for .LCn and other local symbols;
+# DP: don't use gotoff for non-static functions, even if defined locally
+
+--- gcc/config/arm/arm.c 2003-06-14 15:20:53.000000000 +0100
++++ gcc/config/arm/arm.c 2004-03-06 15:15:32.000000000 +0000
+@@ -2364,6 +2394,40 @@
+ return 1;
+ }
+
++/* Return true if OP is a symbolic operand that resolves locally. */
++
++static int
++local_symbolic_operand (op, mode)
++ rtx op;
++ enum machine_mode mode ATTRIBUTE_UNUSED;
++{
++ if (GET_CODE (op) == CONST
++ && GET_CODE (XEXP (op, 0)) == PLUS
++ && GET_CODE (XEXP (XEXP (op, 0), 1)) == CONST_INT)
++ op = XEXP (XEXP (op, 0), 0);
++
++ if (GET_CODE (op) == LABEL_REF)
++ return 1;
++
++ if (GET_CODE (op) != SYMBOL_REF)
++ return 0;
++
++ /* These we've been told are local by varasm and encode_section_info
++ respectively. */
++ if (CONSTANT_POOL_ADDRESS_P (op) || ENCODED_LOCAL_BINDING_ATTR_P (XSTR (op, 0)))
++ return 1;
++
++ /* There is, however, a not insubstantial body of code in the rest of
++ the compiler that assumes it can just stick the results of
++ ASM_GENERATE_INTERNAL_LABEL in a symbol_ref and have done. */
++ /* ??? This is a hack. Should update the body of the compiler to
++ always create a DECL an invoke targetm.encode_section_info. */
++ if (strncmp (arm_strip_name_encoding (XSTR (op, 0)), ".L", 2) == 0)